Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.xmpp.forms
Class FormField.Option

    java.lang.Object
      org.xmpp.forms.FormField.Option

Enclosing class:
  FormField

    public static class FormField.Option

extends Object

Represents the available option of a given FormField.

Author:
  Gaston Dombiak

Method Summary
`String` | `getLabel()` Returns the label that represents the option.
`String` | `getValue()` Returns the value of the option.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLabel

    public String getLabel()

  Returns the label that represents the option.

  Returns:
    the label that represents the option.

### getValue

    public String getValue()

  Returns the value of the option.

  Returns:
    the value of the option.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.